-------------------------------
--Simple Exp Lua Revoltage and Dean--
-------------------------------

parse('mp_infammo 1')
parse('mp_building_limit "dispenser" 2')
parse('mp_building_limit "turret" 3')
parse('mp_building_limit "supply" 3')
parse('mp_building_limit "gate field" 50')
parse('mp_dispenser_money 2000')
parse('mp_killteambuildings 1')
parse('mp_wpndmg p228 5000')
function Array(size,value)
	local array = {}
	for i = 1, size do
		array[i]=value
	end
	return array
end

function totable(t,match)
	local cmd = {}
	if not match then match = "[^%s]+" end
	for word in string.gmatch(t, match) do
		table.insert(cmd, word)
	end 
	return cmd 
end

rv_exp   = Array(32,0)
rv_level = Array(32,0)
rv_req   = Array(32,0)

function rv_msg(clr,txt)
	msg(""..clr..""..txt)
end

function rv_msg2(id,clr,txt)
	msg2(id,""..clr..""..txt)
end

function SaveUser(id,UsgnID)
	local UsgnID = player(id,"usgn")
	file = io.open("sys/lua/save/"..UsgnID..".txt","w") or io.tmpfile()
	local text = ""
	text = tostring(rv_exp[id])
	text = text.." "..rv_level[id]
	file:write(text)
	file:close()
end

function LoadUser(id,file)
	local UsgnID = player(id,"usgn")
	local file = io.open("sys/lua/save/"..UsgnID..".txt","r")
	if file then
		rv_msg2(id,"032096255","Logged In as "..UsgnID.." @C")
		rv_msg2(id,"000255000","Load Succesfully!")
		rv_msg2(id,"000255000","Save File Found!@C")
		for line in file:lines() do
          local parses = totable(line)
		  local userExp=tonumber(parses[1])
		if userExp ~= nil then
             rv_exp[id]= userExp
		end
		if (tonumber(parses[2])~=nil) then
             rv_level[id]=tonumber(parses[2])
		end
		end
	else
		rv_msg2(id,"032096255","Logged In as "..UsgnID.." @C")
		rv_msg2(id,"255000000","Load Fail!")
		rv_msg2(id,"255000000","Save File Not Found!@C")
	end
end

function hudtext2(id,tid,color,txt,x,y)
     local toprint = (""..color.." "..txt)
     parse('hudtxt2 '..id..' '..tid..' "'..toprint..'" '..x.." "..y)
end

function ExpInfo(id)
	if id~=nil then
		hudtext2(id,1,"255255255"," -Exp: "..rv_exp[id].."/"..rv_req[id].."  -Level: "..rv_level[id].."/30",5,430)
	end
end

addhook("join","d_join")
function d_join(id)
rv_exp[id]=0
rv_level[id]=1
rv_req[id]=50
if player(id,"usgn") ~= 0 then
LoadUser(id,file)
end
end

addhook("leave","d_leave")
function d_leave(id)
if player(id,"usgn") ~= 0 then
SaveUser(id,UsgnID)
end
rv_exp[id]=0
rv_level[id]=1
rv_req[id]=50
end

addhook("spawn","rv_spawn")
function rv_spawn(id)
ExpInfo(id)
end

addhook("say","saycolor")
function saycolor(id,txt)
msg("255255255"..player(id,"name").."[Level "..rv_level[id].."] says : "..txt)
return 1
end

addhook("second","expsecond")
function expsecond()
for _,id in ipairs(player(0,"tableliving")) do
rv_exp[id]=rv_exp[id]+1
ExpInfo(id)
end
end

addhook("minute","lol_ad")
function lol_ad()
rv_msg("000255000","Lua By Dean!")
rv_msg("000255000","Revoltage Help Dean To Make This Lua!")
end

addhook("ms100","d_update")
function d_update()
for id=1,32 do
		if player(id,'exists') then
			if rv_exp[id]<50 then --0
				rv_level[id] = 1
				rv_req[id] = 50
			end
			if rv_exp[id]>=50 then --50
				rv_level[id] = 2
				rv_req[id] = 110
			end
			if rv_exp[id]>=110 then --60
				rv_level[id] = 3
				rv_req[id] = 180
			end
			if rv_exp[id]>=180 then --70
				rv_level[id] = 4
				rv_req[id] = 260
			end
			if rv_exp[id]>=260 then --80
				rv_level[id] = 5
				rv_req[id] = 350
			end
			if rv_exp[id]>=350 then --90
				rv_level[id] = 6
				rv_req[id] = 450
			end
			if rv_exp[id]>=450 then --100
				rv_level[id] = 7
				rv_req[id] = 560
			end
			if rv_exp[id]>=560 then --110
				rv_level[id] = 8
				rv_req[id] = 680
			end
			if rv_exp[id]>=680 then --120
				rv_level[id] = 9
				rv_req[id] = 810
			end
			if rv_exp[id]>=810 then --130
				rv_level[id] = 10
				rv_req[id] = 950
			end
			if rv_exp[id]>=950 then --140
				rv_level[id] = 11
				rv_req[id] = 1100
			end
			if rv_exp[id]>=1100 then --150
				rv_level[id] = 12
				rv_req[id] = 1260
			end
			if rv_exp[id]>=1260 then --160
				rv_level[id] = 13
				rv_req[id] = 1430
			end
			if rv_exp[id]>=1430 then --170
				rv_level[id] = 14
				rv_req[id] = 1610
			end
			if rv_exp[id]>=1610 then --180
				rv_level[id] = 15
				rv_req[id] = 1800
			end
			if rv_exp[id]>=1800 then --190
				rv_level[id] = 16
				rv_req[id] = 2000
			end
			if rv_exp[id]>=2000 then --200
				rv_level[id] = 17
				rv_req[id] = 2210
			end
			if rv_exp[id]>=2210 then --210
				rv_level[id] = 18
				rv_req[id] = 2430
			end
			if rv_exp[id]>=2430 then --220
				rv_level[id] = 19
				rv_req[id] = 2660
			end
			if rv_exp[id]>=2660 then --230
				rv_level[id] = 20
				rv_req[id] = 2900
			end
			if rv_exp[id]>=2900 then --240
				rv_level[id] = 21
				rv_req[id] = 3150
			end
			if rv_exp[id]>=3150 then --250
				rv_level[id] = 22
				rv_req[id] = 3410
			end
			if rv_exp[id]>=3410 then --260
				rv_level[id] = 23
				rv_req[id] = 3680
			end
			if rv_exp[id]>=3680 then --270
				rv_level[id] = 24
				rv_req[id] = 3960
			end
			if rv_exp[id]>=3960 then --280
				rv_level[id] = 25
				rv_req[id] = 4250
			end
			if rv_exp[id]>=4250 then --290
				rv_level[id] = 26
				rv_req[id] = 4550
			end
			if rv_exp[id]>=4550 then --300
				rv_level[id] = 27
				rv_req[id] = 4860
			end
			if rv_exp[id]>=4860 then --310
				rv_level[id] = 28
				rv_req[id] = 5180
			end
			if rv_exp[id]>=5180 then --320
				rv_level[id] = 29
				rv_req[id] = 5510
			end
			if rv_exp[id]>=5510 then --330
				rv_level[id] = 30
				rv_req[id] = "Max"
			end
		end
	end
	ExpInfo(id)
end